Change digital pool settings
Enable individual codes or files for a product, and choose how to store them and notify buyers. New pool sales require Professional or Enterprise.
PATCH
/api/v1/inventory/products/{product_id}/digital-poolcURL request
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/inventory/products/example/digital-pool \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: ee843b03-c1d6-520f-b617-e14f9ca773eb' \
--header 'Content-Type: application/json' \
--data-raw '{"email_mode":"order_link","enabled":true,"expected_version":0,"retention_days":null}'
Response
{
"data": {
"deleted": false,
"id": "00000000-0000-4000-8000-000000000001",
"version": 2
},
"meta": {
"request_id": "example-request"
}
}
Required permissions
- Authentication
- Access token
- Available from
- STANDARD
- Key permission
- Change digital pool settings
inventory.digital_pool:manage